%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}

%if (0%{?fedora} == 0 && 0%{?rhel} <= 5)
%global building_for_el5 1
%else
%global building_for_el5 0
%endif

Summary: SPQR:  {Schema Processor|Straightforward Publishing} for QMF agents in Ruby
Name: ruby-spqr
Version: 0.3.5
Release: 1%{?dist}
Group: Applications/System
License: ASL 2.0
URL: http://git.fedorahosted.org/git/grid/spqr.git
Source0: https://fedorahosted.org/releases/g/r/grid/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: ruby(abi) = 1.8
Requires: ruby
Requires: ruby-qmf
BuildRequires: ruby
BuildArch: noarch

%description
SPQR makes it very simple to expose methods on Ruby objects over QMF.

%package -n spqr-gen
Summary: Generates an spqr app from an xml schema
Group: Applications/System
Requires: ruby-spqr
Requires: ruby(abi) = 1.8
Requires: ruby

%description -n spqr-gen
spqr-gen is a tool that will generate an SPQR application from an XML 
QMF schema file.

%prep
%setup -q

%build

%install
%if %{building_for_el5}
rm -rf %{buildroot}
%endif
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{ruby_sitelib}/spqr
cp -p -f lib/spqr/app.rb %{buildroot}/%{ruby_sitelib}/spqr
cp -p -f lib/spqr/codegen.rb %{buildroot}/%{ruby_sitelib}/spqr
cp -p -f lib/spqr/constants.rb %{buildroot}/%{ruby_sitelib}/spqr
cp -p -f lib/spqr/event.rb %{buildroot}/%{ruby_sitelib}/spqr
cp -p -f lib/spqr/manageable.rb %{buildroot}/%{ruby_sitelib}/spqr
cp -p -f lib/spqr/spqr.rb %{buildroot}/%{ruby_sitelib}/spqr
cp -p -f lib/spqr/utils.rb %{buildroot}/%{ruby_sitelib}/spqr
cp -p -f bin/spqr-gen.rb %{buildroot}/%{_bindir}

%if %{building_for_el5}
%clean
rm -rf %{buildroot}
%endif

%files
%if %{building_for_el5}
%defattr(-, root, root, -)
%endif
%doc LICENSE README.rdoc CHANGES TODO VERSION
%doc examples
%{ruby_sitelib}/spqr/

%files -n spqr-gen
%if %{building_for_el5}
%defattr(-, root, root, -)
%endif
%doc LICENSE
%defattr(755, root, root, -)
%{_bindir}/spqr-gen.rb

%changelog

* Wed Nov 23 2011 <willb@redhat> - 0.3.5-1
- bug fix with explicit authentication mechanisms (BZ 756401)
- added additional explicit authentication mechanisms (BZ 756402)

* Tue Oct 11 2011 <willb@redhat> - 0.3.4-1
- build workflow improvements

* Wed Sep 21 2011 <willb@redhat> - 0.3.3-4
- Specfile improvements

* Fri Sep 16 2011 <willb@redhat> - 0.3.3-3
- Minor packaging tweaks

* Mon Jun 6 2011 <willb@redhat> - 0.3.3-2
- Installation now preserves file mode, owner, and modification time

* Fri Feb 4 2011  <willb@redhat> - 0.3.3-1
- support for alternate authentication mechanisms (BZ 675323)

* Fri Dec 17 2010  <willb@redhat> - 0.3.2-2
- packaging fixes (BZ 638569)

* Wed Sep 15 2010  <willb@redhat> - 0.3.2-1
- updated to version 0.3.2-1
- removed spurious debugging output
- access modifiers now respected on properties 

* Mon May 10 2010  <willb@redhat> - 0.3.0-1
- updated to version 0.3.0-1

* Mon Apr 12 2010  <willb@redhat> - 0.2.4-1
- updated to version 0.2.4-1

* Mon Apr 5 2010  <willb@redhat> - 0.2.3-1
- updated to version 0.2.3-1

* Thu Mar 4 2010  <willb@redhat> - 0.2.2-2
- updated to version 0.2.2-2

* Tue Feb 24 2010  <willb@redhat> - 0.2.1-1.0
- updated to version 0.2.1 (which is not released as a gem at the moment)

* Fri Feb 19 2010  <willb@redhat> - 0.2.0-0.3
- The SPQR application object is now exposed to managed classes

* Fri Feb  5 2010  <rrati@redhat> - 0.2.0-0.2
- Fixed packaging issues

* Tue Feb  2 2010  <rrati@redhat> - 0.2.0-0.1
- Initial package
